%global        momorel 1
%global        srcname QtZeitgeist

Name:           libqzeitgeist
Summary:        Qt Zeitgeist Library
Version:        0.8.0
Release:        %{momorel}m%{?dist}
License:        LGPLv2+
URL:            http://projects.kde.org/projects/kdesupport/libqzeitgeist
Group:          System Environment/Libraries
#Source0:        http://releases.zeitgeist-project.com/qzeitgeist/%{srcname}-%{version}.tar.bz2
Source0:        https://github.com/KDE/libqzeitgeist/archive/v%{version}/%{name}-%{version}.tar.gz
NoSource:       0

BuildRequires:  cmake
BuildRequires:  qt-devel

%description
%{summary}.

%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}

%description    devel
%{summary}

%prep
%setup -q 

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake} ..
popd

make %{?_smp_mflags} -C %{_target_platform}

%install
rm -rf %{buildroot}

make install/fast DESTDIR=%{buildroot} -C %{_target_platform}

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%doc COPYING README
%{_libdir}/libqzeitgeist.so.*
%dir %{_libdir}/qt4/imports/org/gnome/zeitgeist/
%{_libdir}/qt4/imports/org/gnome/zeitgeist/*

%files devel
%{_includedir}/QZeitgeist/
%dir %{_libdir}/cmake/QZeitgeist
%{_libdir}/cmake/QZeitgeist/*.cmake
%{_libdir}/libqzeitgeist.so
%{_libdir}/pkgconfig/QZeitgeist.pc

%changelog
* Tue Jan 17 2017 Yohsuke Ooi <meke@momonga-linux.org>
- (0.8.0-1m)
- update 0.8.0

* Sun Aug 21 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (0.7.0-1m)
- import from Fedora devel

* Fri May 20 2011 Rex Dieter <rdieter@fedoraproject.org> 0.7.0-1
- first try

